// Cosmos Sword
ServerEvents.recipes(event => {
  event.recipes.create.sequenced_assembly(
    ['avaritia:swordofthe_cosmos'],
    'kimetsunoyaiba:sword_kokushibo_2',
    [
      event.recipes.create.deploying('kimetsunoyaiba:sword_kokushibo_2', ['kimetsunoyaiba:sword_kokushibo_2', 'mekanism:pellet_antimatter']),
      event.recipes.create.deploying('kimetsunoyaiba:sword_kokushibo_2', ['kimetsunoyaiba:sword_kokushibo_2', 'avaritia:infinity_ingot']),
      event.recipes.create.deploying('kimetsunoyaiba:sword_kokushibo_2', ['kimetsunoyaiba:sword_kokushibo_2', 'mekanism_extras:infinite_control_circuit']),
      event.recipes.create.deploying('kimetsunoyaiba:sword_kokushibo_2', ['kimetsunoyaiba:sword_kokushibo_2', 'extendedcrafting:ultimate_singularity']),
      event.recipes.create.deploying('kimetsunoyaiba:sword_kokushibo_2', ['kimetsunoyaiba:sword_kokushibo_2', 'mysticalagradditions:creative_essence'])
    ]
  )
  .transitionalItem('kimetsunoyaiba:sword_kokushibo_2')
  .loops(1)
});

// Planet Eater
ServerEvents.recipes(event => {
  event.recipes.create.sequenced_assembly(
    ['avaritia:planet_eater'],
    'cataclysm:remnant_skull',
    [
      event.recipes.create.deploying('cataclysm:remnant_skull', ['cataclysm:remnant_skull', 'mekanism:pellet_antimatter']),
      event.recipes.create.deploying('cataclysm:remnant_skull', ['cataclysm:remnant_skull', 'avaritia:infinity_ingot']),
      event.recipes.create.deploying('cataclysm:remnant_skull', ['cataclysm:remnant_skull', 'mekanism_extras:infinite_control_circuit']),
      event.recipes.create.deploying('cataclysm:remnant_skull', ['cataclysm:remnant_skull', 'extendedcrafting:ultimate_singularity']),
      event.recipes.create.deploying('cataclysm:remnant_skull', ['cataclysm:remnant_skull', 'mysticalagradditions:creative_essence'])
    ]
  )
  .transitionalItem('cataclysm:remnant_skull')
  .loops(1)
});

// Nature's Ruin
ServerEvents.recipes(event => {
  event.recipes.create.sequenced_assembly(
    ['avaritia:natures_ruin'],
    'kimetsunoyaiba:handfan',
    [
      event.recipes.create.deploying('kimetsunoyaiba:handfan', ['kimetsunoyaiba:handfan', 'mekanism:pellet_antimatter']),
      event.recipes.create.deploying('kimetsunoyaiba:handfan', ['kimetsunoyaiba:handfan', 'avaritia:infinity_ingot']),
      event.recipes.create.deploying('kimetsunoyaiba:handfan', ['kimetsunoyaiba:handfan', 'mekanism_extras:infinite_control_circuit']),
      event.recipes.create.deploying('kimetsunoyaiba:handfan', ['kimetsunoyaiba:handfan', 'extendedcrafting:ultimate_singularity']),
      event.recipes.create.deploying('kimetsunoyaiba:handfan', ['kimetsunoyaiba:handfan', 'mysticalagradditions:creative_essence'])
    ]
  )
  .transitionalItem('kimetsunoyaiba:handfan')
  .loops(1)
});

// Hoe of the Green Earth
ServerEvents.recipes(event => {
  event.recipes.create.sequenced_assembly(
    ['avaritia:hoeofthe_green_earth'],
    'kimetsunoyaiba:chigama',
    [
      event.recipes.create.deploying('kimetsunoyaiba:chigama', ['kimetsunoyaiba:chigama', 'mekanism:pellet_antimatter']),
      event.recipes.create.deploying('kimetsunoyaiba:chigama', ['kimetsunoyaiba:chigama', 'avaritia:infinity_ingot']),
      event.recipes.create.deploying('kimetsunoyaiba:chigama', ['kimetsunoyaiba:chigama', 'mekanism_extras:infinite_control_circuit']),
      event.recipes.create.deploying('kimetsunoyaiba:chigama', ['kimetsunoyaiba:chigama', 'extendedcrafting:ultimate_singularity']),
      event.recipes.create.deploying('kimetsunoyaiba:chigama', ['kimetsunoyaiba:chigama', 'mysticalagradditions:creative_essence'])
    ]
  )
  .transitionalItem('kimetsunoyaiba:chigama')
  .loops(1)
});

// World Breaker
ServerEvents.recipes(event => {
  event.recipes.create.sequenced_assembly(
    ['avaritia:world_breaker'],
    'cataclysm:void_forge',
    [
      event.recipes.create.deploying('cataclysm:void_forge', ['cataclysm:void_forge', 'mekanism:pellet_antimatter']),
      event.recipes.create.deploying('cataclysm:void_forge', ['cataclysm:void_forge', 'avaritia:infinity_ingot']),
      event.recipes.create.deploying('cataclysm:void_forge', ['cataclysm:void_forge', 'mekanism_extras:infinite_control_circuit']),
      event.recipes.create.deploying('cataclysm:void_forge', ['cataclysm:void_forge', 'extendedcrafting:ultimate_singularity']),
      event.recipes.create.deploying('cataclysm:void_forge', ['cataclysm:void_forge', 'mysticalagradditions:creative_essence'])
    ]
  )
  .transitionalItem('cataclysm:void_forge')
  .loops(1)
});

// Bow of the Heavens
ServerEvents.recipes(event => {
  event.recipes.create.sequenced_assembly(
    ['avaritia:longbowofthe_heavens'],
    'cataclysm:wrath_of_the_desert',
    [
      event.recipes.create.deploying('cataclysm:wrath_of_the_desert', ['cataclysm:wrath_of_the_desert', 'mekanism:pellet_antimatter']),
      event.recipes.create.deploying('cataclysm:wrath_of_the_desert', ['cataclysm:wrath_of_the_desert', 'avaritia:infinity_ingot']),
      event.recipes.create.deploying('cataclysm:wrath_of_the_desert', ['cataclysm:wrath_of_the_desert', 'mekanism_extras:infinite_control_circuit']),
      event.recipes.create.deploying('cataclysm:wrath_of_the_desert', ['cataclysm:wrath_of_the_desert', 'extendedcrafting:ultimate_singularity']),
      event.recipes.create.deploying('cataclysm:wrath_of_the_desert', ['cataclysm:wrath_of_the_desert', 'mysticalagradditions:creative_essence'])
    ]
  )
  .transitionalItem('cataclysm:wrath_of_the_desert')
  .loops(1)
});

// Helmet
ServerEvents.recipes(event => {
  event.recipes.create.sequenced_assembly(
    ['avaritia:infinity_armor_helmet'],
    'cataclysm:ignitium_helmet',
    [
      event.recipes.create.deploying('cataclysm:ignitium_helmet', ['cataclysm:ignitium_helmet', 'mekanism:pellet_antimatter']),
      event.recipes.create.deploying('cataclysm:ignitium_helmet', ['cataclysm:ignitium_helmet', 'avaritia:infinity_ingot']),
      event.recipes.create.deploying('cataclysm:ignitium_helmet', ['cataclysm:ignitium_helmet', 'mekanism_extras:infinite_control_circuit']),
      event.recipes.create.deploying('cataclysm:ignitium_helmet', ['cataclysm:ignitium_helmet', 'extendedcrafting:ultimate_singularity']),
      event.recipes.create.deploying('cataclysm:ignitium_helmet', ['cataclysm:ignitium_helmet', 'mysticalagradditions:creative_essence'])
    ]
  )
  .transitionalItem('cataclysm:ignitium_helmet')
  .loops(1)
});

// Chestplate
ServerEvents.recipes(event => {
  event.recipes.create.sequenced_assembly(
    ['avaritia:infinity_armor_chestplate'],
    'cataclysm:ignitium_chestplate',
    [
      event.recipes.create.deploying('cataclysm:ignitium_chestplate', ['cataclysm:ignitium_chestplate', 'mekanism:pellet_antimatter']),
      event.recipes.create.deploying('cataclysm:ignitium_chestplate', ['cataclysm:ignitium_chestplate', 'avaritia:infinity_ingot']),
      event.recipes.create.deploying('cataclysm:ignitium_chestplate', ['cataclysm:ignitium_chestplate', 'mekanism_extras:infinite_control_circuit']),
      event.recipes.create.deploying('cataclysm:ignitium_chestplate', ['cataclysm:ignitium_chestplate', 'extendedcrafting:ultimate_singularity']),
      event.recipes.create.deploying('cataclysm:ignitium_chestplate', ['cataclysm:ignitium_chestplate', 'mysticalagradditions:creative_essence'])
    ]
  )
  .transitionalItem('cataclysm:ignitium_chestplate')
  .loops(1)
});

// Leggings
ServerEvents.recipes(event => {
  event.recipes.create.sequenced_assembly(
    ['avaritia:infinity_armor_leggings'],
    'cataclysm:ignitium_leggings',
    [
      event.recipes.create.deploying('cataclysm:ignitium_leggings', ['cataclysm:ignitium_leggings', 'mekanism:pellet_antimatter']),
      event.recipes.create.deploying('cataclysm:ignitium_leggings', ['cataclysm:ignitium_leggings', 'avaritia:infinity_ingot']),
      event.recipes.create.deploying('cataclysm:ignitium_leggings', ['cataclysm:ignitium_leggings', 'mekanism_extras:infinite_control_circuit']),
      event.recipes.create.deploying('cataclysm:ignitium_leggings', ['cataclysm:ignitium_leggings', 'extendedcrafting:ultimate_singularity']),
      event.recipes.create.deploying('cataclysm:ignitium_leggings', ['cataclysm:ignitium_leggings', 'mysticalagradditions:creative_essence'])
    ]
  )
  .transitionalItem('cataclysm:ignitium_leggings')
  .loops(1)
});

// Boots
ServerEvents.recipes(event => {
  event.recipes.create.sequenced_assembly(
    ['avaritia:infinity_armor_boots'],
    'cataclysm:ignitium_boots',
    [
      event.recipes.create.deploying('cataclysm:ignitium_boots', ['cataclysm:ignitium_boots', 'mekanism:pellet_antimatter']),
      event.recipes.create.deploying('cataclysm:ignitium_boots', ['cataclysm:ignitium_boots', 'avaritia:infinity_ingot']),
      event.recipes.create.deploying('cataclysm:ignitium_boots', ['cataclysm:ignitium_boots', 'mekanism_extras:infinite_control_circuit']),
      event.recipes.create.deploying('cataclysm:ignitium_boots', ['cataclysm:ignitium_boots', 'extendedcrafting:ultimate_singularity']),
      event.recipes.create.deploying('cataclysm:ignitium_boots', ['cataclysm:ignitium_boots', 'mysticalagradditions:creative_essence'])
    ]
  )
  .transitionalItem('cataclysm:ignitium_boots')
  .loops(1)
});
